<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Tagihan Daftar Ulang </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <div class="form-group input-group mb-3">
                                        <select name="tahunAkademik" required class="form-control" id="select2-tahun">
                                            <option value=""></option>
                                            <option th:each="data : ${tahunAkademik}"
                                                    th:selected="(${data} == *{selectTahun})"
                                                    th:text="${data.namaTahunAkademik}"
                                                    th:value="${data.id}"></option>
                                        </select>
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="submit"><i class="fa fa-eye"></i>&nbsp; Show</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th>#</th>
                                <th>NIM</th>
                                <th>Nama</th>
                                <th>Email</th>
                                <th>Nilai Tagihan</th>
                                <th>Status Tagihan</th>
                                <th>Action</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${listTagihan}">
                                <td th:text="${(row.index + 1) + (listTagihan.number * listTagihan.size)}">1</td>
                                <td th:text="${data.mahasiswa.nim}"></td>
                                <td th:text="${data.mahasiswa.nama}">BANGUN DAN SEMANGAT</td>
                                <td th:text="${data.mahasiswa.emailPribadi}">BANGUN DAN SEMANGAT</td>
                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}">BANGUN DAN SEMANGAT</td>
                                <td>
                                    <a type="button" class="btn btn-warning btn-sm" href="form"
                                       th:if="${data.statusTagihan.DICICIL} == ${data.statusTagihan}"
                                       th:text="${data.statusTagihan}">
                                    </a>
                                    <a type="button" class="btn btn-success btn-sm" href="form"
                                       th:if="${data.statusTagihan.LUNAS} == ${data.statusTagihan}"
                                       th:text="${data.statusTagihan}">
                                    </a>
                                    <a type="button" class="btn btn-danger btn-sm" href="form"
                                       th:if="${data.statusTagihan.NONAKTIF} == ${data.statusTagihan}"
                                       th:text="${data.statusTagihan}">
                                    </a>
                                    <a type="button" class="btn btn-primary btn-sm" href="form"
                                       th:if="${data.statusTagihan.AKTIF} == ${data.statusTagihan}"
                                       th:text="${data.statusTagihan}">
                                    </a>
                                </td>
                                <td>
                                    <button type="button" class="btn btn-info btn-sm" th:id="${data.id}" onclick="detailTagihan(this.id)">
                                        <i class="fas fa-eye"></i> Detail
                                    </button>

                                    <div class="modal fade" th:id="${'modal-detail' + data.id}" tabindex="-1" role="dialog" aria-labelledby="modal-detail" aria-hidden="true">
                                        <div class="modal-dialog modal-lg modal-dialog-centered modal-" role="document">
                                            <div class="modal-content">

                                                <div class="modal-header">
                                                    <h6 class="modal-title" id="modal-title-notification">Detail cicilan tagihan</h6>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>

                                                <div class="modal-body">
                                                    <div class="table-responsive">
                                                        <table id="table-detail" class="table align-items-center table-flush">
                                                            <thead class="thead-light">
                                                            <tr>
                                                                <th class="text-center">Nilai</th>
                                                                <th class="text-center">Tanggal Jatuh Tempo</th>
                                                                <th class="text-center">Status</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>

                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Tutup</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script>
    function detailTagihan(id){

        $('#modal-detail'+id).modal('show');

        const url = '/get-cicilan-daftarulang/'+id;
        $.getJSON(url, function (data){
            $('#table-detail tbody').empty();

            $.each(data, function (key, entry){
                console.log(entry);
                let rowT1 = '<tr>' +
                    '<td class="text-center"> Rp. ' + entry.nilaiCicilan.toLocaleString('id-ID') + ',00</td>' +
                    '<td class="text-center">' + entry.tanggalJatuhTempo + '</td>' +
                    '<td class="text-center">' + entry.statusCicilan + '</td>' +
                    '</tr>';
                $('#table-detail tbody').append(rowT1);
            });
        });
    }
</script>